package com.bocloud.cmp.provider.azure.account;

import com.bocloud.cmp.model.azure.account.BatchAccountModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: BatchAccountProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/7/24 13:37
 */
public interface BatchAccountProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(BatchAccountModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(BatchAccountModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult changeStorageAccount(BatchAccountModel model) {
        return new BocloudResult(false, "need implement");
    }
}